Hooks:PostHook( WeaponFactoryTweakData, "init", "RailCoversmodInit", function(self)
	
	--Handguards without rail
	local rc_hg_forbids_table = {
		"wpn_fps_upg_fg_smr",
		"wpn_fps_smg_olympic_fg_olympic",
		"wpn_fps_upg_smg_olympic_fg_lr300",
		"wpn_fps_upg_ass_m16_fg_stag",
	    "wpn_fps_m4_uupg_fg_lr300",
		"wpn_fps_upg_ass_m4_fg_moe",
		"wpn_fps_upg_fg_jp",
		"wpn_fps_m16_fg_vietnam",
		"wpn_fps_m16_fg_standard",
	    "wpn_fps_ass_fal_fg_standard",
		"wpn_fps_ass_fal_fg_03",
		"wpn_fps_ass_fal_fg_04",
		"wpn_fps_ass_fal_fg_wood",
		"wpn_upg_ak_fg_standard",
		"wpn_upg_ak_fg_combo2",
		"wpn_upg_ak_fg_combo1",
		"wpn_upg_ak_fg_combo4",
		"wpn_fps_lmg_rpk_fg_standard",
		"wpn_fps_lmg_rpk_fg_wood",
		"wpn_fps_smg_akmsu_fg_standard",
		"wpn_fps_upg_ak_fg_tapco",
	    "wpn_upg_saiga_fg_standard",
		"wpn_fps_smg_mp5_fg_mp5sd",
	    "wpn_fps_smg_mp5_fg_mp5a4",
		"wpn_fps_smg_mp5_fg_flash",
		"wpn_fps_sho_saiga_fg_holy",
		"wpn_fps_ass_galil_fg_standard",
		"wpn_fps_ass_galil_fg_mar",
		"wpn_fps_ass_galil_fg_sar",
		"wpn_fps_ass_galil_fg_sniper",
		"wpn_fps_ass_l85a2_fg_medium",
		"wpn_fps_ass_s552_fg_standard",
		"wpn_fps_ass_s552_fg_standard_green"		
	}
	
	for index, rc_hg_forbids_ids in ipairs(rc_hg_forbids_table) do
	table.map_append(self.parts[rc_hg_forbids_ids], {forbids = {"wpn_fps_rail_covers","wpn_fps_rc_dd"}})
	end
	--Overrides
	local rc_override_table = {
	    "wpn_fps_m4_uupg_o_flipup",
		"wpn_fps_smg_olympic_fg_railed",
		"wpn_fps_upg_fg_midwest",
		"wpn_fps_ass_tecci_o_standard",
		"wpn_fps_smg_mp5_fg_m5k"
	}
	for index, rc_override_id in ipairs(rc_override_table) do
		if not self.parts[rc_override_id].override then
			self.parts[rc_override_id].override = {}
		end
	end
	--Vertical Grips
	local rc_vg_table = {
	    "wpn_fps_upg_vg_ass_smg_afg",
		"wpn_fps_ass_tecci_vg_standard",
		"wpn_fps_snp_tti_vg_standard",
		"wpn_fps_smg_hajk_vg_moe",
		"wpn_fps_upg_vg_ass_smg_stubby",
		"wpn_fps_smg_schakal_vg_surefire",
		"wpn_fps_ass_contraband_gl_m203"
	}
	for index, rc_vg_ids in ipairs(rc_vg_table) do
	table.map_append(self.parts[rc_vg_ids], {forbids = {"wpn_fps_rc_b","wpn_fps_rc_dd_b"}})
	end
	--Gadgets
	local rc_gadgets_table = {
		"wpn_fps_upg_fl_ass_smg_sho_peqbox",
	    "wpn_fps_upg_fl_ass_smg_sho_surefire",
		"wpn_fps_upg_fl_ass_peq15",
		"wpn_fps_upg_fl_ass_laser",
		"wpn_fps_upg_fl_ass_utg"
	}
	for index, rc_gadgets_id in ipairs(rc_gadgets_table) do
		if not self.parts[rc_gadgets_id].override then
			self.parts[rc_gadgets_id].override = {}
		end
		self.parts[rc_gadgets_id].override.wpn_fps_rc_l = {
			unit = "units/mods/weapons/wpn_fps_rail_covers/wpn_fps_rail_covers_short",
			a_obj = "a_rc_l_s"
		}
	    self.parts[rc_gadgets_id].override.wpn_fps_rc_s_l = {
			a_obj = "a_rc_s_l_g"
		}
		self.parts[rc_gadgets_id].override.wpn_fps_rc_dd_l = {
			unit = "units/mods/weapons/wpn_fps_rc_dd/wpn_fps_rc_dd_short",
			a_obj = "a_rc_l_s"
		}
	    self.parts[rc_gadgets_id].override.wpn_fps_rc_dd_s_l = {
			a_obj = "a_rc_s_l_g"
		}
	end
	--Long Handguards
	local rc_long_table = {
	    "wpn_fps_m16_fg_railed",
		"wpn_fps_upg_ass_m4_fg_lvoa",
		"wpn_fps_ass_contraband_fg_standard",
		"wpn_upg_ak_fg_combo3",
		"wpn_upg_saiga_fg_lowerrail",
		"wpn_fps_ass_l85a2_fg_short"
	}
	for index, rc_long_id in ipairs(rc_long_table) do
		if not self.parts[rc_long_id].override then
			self.parts[rc_long_id].override = {}
		end
		self.parts[rc_long_id].override.wpn_fps_rail_covers = {
			adds = {"wpn_fps_rc_b", "wpn_fps_rc_t", "wpn_fps_rc_l", "wpn_fps_rc_s", "wpn_fps_rc_s_b", "wpn_fps_rc_s_t", "wpn_fps_rc_s_l"}
		}
		self.parts[rc_long_id].override.wpn_fps_rc_dd = {
			adds = {"wpn_fps_rc_dd_b", "wpn_fps_rc_dd_t", "wpn_fps_rc_dd_l", "wpn_fps_rc_dd_s", "wpn_fps_rc_dd_s_b", "wpn_fps_rc_dd_s_t", "wpn_fps_rc_dd_s_l"}
		}
	end
	--Irons
	table.map_append(self.parts.wpn_fps_m4_uupg_o_flipup, {forbids = {"wpn_fps_rc_s_t","wpn_fps_rc_dd_s_t"}})
	self.parts.wpn_fps_m4_uupg_o_flipup.override.wpn_fps_rc_t = {
		unit = "units/mods/weapons/wpn_fps_rail_covers/wpn_fps_rail_covers_short"
	}
	self.parts.wpn_fps_m4_uupg_o_flipup.override.wpn_fps_rc_dd_t = {
		unit = "units/mods/weapons/wpn_fps_rc_dd/wpn_fps_rc_dd_short"
	}
	table.map_append(self.parts.wpn_fps_ass_tecci_o_standard, {forbids = {"wpn_fps_rc_s_t","wpn_fps_rc_dd_s_t"}})
	self.parts.wpn_fps_ass_tecci_o_standard.override.wpn_fps_rc_t = {
		unit = "units/mods/weapons/wpn_fps_rail_covers/wpn_fps_rail_covers_short"
	}
	self.parts.wpn_fps_ass_tecci_o_standard.override.wpn_fps_rc_dd_t = {
		unit = "units/mods/weapons/wpn_fps_rc_dd/wpn_fps_rc_dd_short"
	}
	table.map_append(self.parts.wpn_fps_ass_contraband_o_standard, {forbids = {"wpn_fps_rc_s_t","wpn_fps_rc_dd_s_t"}})
	--Olympic	
	self.parts.wpn_fps_smg_olympic_fg_railed.override.wpn_fps_rail_covers = {
		unit = "units/mods/weapons/wpn_fps_rail_covers/wpn_fps_rail_covers_short"
	}
	self.parts.wpn_fps_smg_olympic_fg_railed.override.wpn_fps_rc_b = {
		unit = "units/mods/weapons/wpn_fps_rail_covers/wpn_fps_rail_covers_short"
	}
	self.parts.wpn_fps_smg_olympic_fg_railed.override.wpn_fps_rc_t = {
		unit = "units/mods/weapons/wpn_fps_rail_covers/wpn_fps_rail_covers_short"
	}
	self.parts.wpn_fps_smg_olympic_fg_railed.override.wpn_fps_rc_l = {
		unit = "units/mods/weapons/wpn_fps_rail_covers/wpn_fps_rail_covers_short"
	}
	self.parts.wpn_fps_smg_olympic_fg_railed.override.wpn_fps_rc_dd = {
		unit = "units/mods/weapons/wpn_fps_rc_dd/wpn_fps_rc_dd_short"
	}
	self.parts.wpn_fps_smg_olympic_fg_railed.override.wpn_fps_rc_dd_b = {
		unit = "units/mods/weapons/wpn_fps_rc_dd/wpn_fps_rc_dd_short"
	}
	self.parts.wpn_fps_smg_olympic_fg_railed.override.wpn_fps_rc_dd_t = {
		unit = "units/mods/weapons/wpn_fps_rc_dd/wpn_fps_rc_dd_short"
	}
	self.parts.wpn_fps_smg_olympic_fg_railed.override.wpn_fps_rc_dd_l = {
		unit = "units/mods/weapons/wpn_fps_rc_dd/wpn_fps_rc_dd_short"
	}
	--AK
	table.map_append(self.parts.wpn_fps_upg_fg_midwest, {forbids = {"wpn_fps_rc_t","wpn_fps_rc_dd_t"}})
	table.map_append(self.parts.wpn_upg_ak_fg_combo3, {forbids = {"wpn_fps_rc_t","wpn_fps_rc_dd_t"}})	
	table.map_append(self.parts.wpn_upg_saiga_fg_lowerrail, {forbids = {"wpn_fps_rc_t","wpn_fps_rc_dd_t"}})
	table.map_append(self.parts.wpn_fps_upg_ak_fg_trax, {forbids = {"wpn_fps_rc_t","wpn_fps_rc_dd_t"}})
	self.parts.wpn_fps_upg_fg_midwest.override.wpn_fps_rail_covers = {
		a_obj = "a_rc_mid"
	}
	self.parts.wpn_fps_upg_fg_midwest.override.wpn_fps_rc_b = {
		a_obj = "a_rc_b_mid"
	}
	self.parts.wpn_fps_upg_fg_midwest.override.wpn_fps_rc_dd = {
		a_obj = "a_rc_mid"
	}
	self.parts.wpn_fps_upg_fg_midwest.override.wpn_fps_rc_dd_b = {
		a_obj = "a_rc_b_mid"
	}
	--AKMSU
	table.map_append(self.parts.wpn_fps_smg_akmsu_fg_rail, {forbids = {"wpn_fps_rc_t","wpn_fps_rc_dd_t"}})
	self.parts.wpn_fps_upg_ak_fg_zenit.override.wpn_fps_rail_covers = {
		unit = "units/payday2/weapons/wpn_upg_dummy/wpn_upg_dummy",
		adds = {"wpn_fps_rc_s", "wpn_fps_rc_s_b", "wpn_fps_rc_s_l"}
	}
	self.parts.wpn_fps_upg_ak_fg_zenit.override.wpn_fps_rc_dd = {
		unit = "units/payday2/weapons/wpn_upg_dummy/wpn_upg_dummy",
		adds = {"wpn_fps_rc_dd_s", "wpn_fps_rc_dd_s_b", "wpn_fps_rc_dd_s_l"}
	}
	--MP5
	table.map_append(self.parts.wpn_fps_smg_mp5_fg_mp5a5, {forbids = {"wpn_fps_rc_t","wpn_fps_rc_dd_t"}})
	self.parts.wpn_fps_smg_mp5_fg_m5k.override.wpn_fps_rail_covers = {
		unit = "units/payday2/weapons/wpn_upg_dummy/wpn_upg_dummy",
		adds = {"wpn_fps_rc_s", "wpn_fps_rc_s_b", "wpn_fps_rc_s_l"}
	}
	self.parts.wpn_fps_smg_mp5_fg_m5k.override.wpn_fps_rc_dd = {
		unit = "units/payday2/weapons/wpn_upg_dummy/wpn_upg_dummy",
		adds = {"wpn_fps_rc_dd_s", "wpn_fps_rc_dd_s_b", "wpn_fps_rc_dd_s_l"}
	}
	--L86a2
	table.map_append(self.parts.wpn_fps_ass_l85a2_fg_short, {forbids = {"wpn_fps_rc_b", "wpn_fps_rc_t", "wpn_fps_rc_s_t","wpn_fps_rc_dd_b", "wpn_fps_rc_dd_t", "wpn_fps_rc_dd_s_t"}})		
--Custom stuff	
	--EAC
	if BeardLib.Utils:FindMod("Extra Attachments Compilation ±") then
	local EAC_rc_table = {
		"wpn_fps_upg_vg_verticalgrip",
		"wpn_fps_upg_vg_stubby",
		"wpn_fps_upg_vg_moe",
		"wpn_fps_upg_vg_grippod",
		"wpn_fps_upg_vg_foldable",
		"wpn_fps_upg_vg_tecci",
		"wpn_fps_upg_vg_afg",
		"wpn_fps_upg_vg_cobra"
	}
	for index, rc_eac_forbids_ids in ipairs(EAC_rc_table) do		
	table.map_append(self.parts[rc_eac_forbids_ids], {forbids = {"wpn_fps_rc_b","wpn_fps_rc_dd_b"}})	
		end
	end
	--VG pack
	if BeardLib.Utils:FindMod("vertical_grip_attachment_pack") then
	local VGAP_rc_table = {
		"wpn_fps_m4_fg_hk416cforegrip",
		"wpn_fps_m4_fg_augforegrip",
		"wpn_fps_m4_fg_mp7foregrip",
		"wpn_fps_m4_fg_cz805foregrip"
	}		
	local VGAP_fg_rc_table = {
		"wpn_fps_lmg_rpk_fg_akm",
		"wpn_upg_ak_fg_rpk_wood",
		"wpn_fps_smg_mp5_fg_stripped",
		"wpn_fps_smg_akmsu_fg_rpk"
	}		
	for index, rck_vgap_forbids_ids in ipairs(VGAP_rc_table) do		
	table.map_append(self.parts[rck_vgap_forbids_ids], {forbids = {"wpn_fps_rc_b","wpn_fps_rc_dd_b"}})		
		end				
	for index, rck_vgap_fg_ids in ipairs(VGAP_fg_rc_table) do		
	table.map_append(self.parts[rck_vgap_fg_ids], {forbids = {"wpn_fps_rail_covers","wpn_fps_rc_dd"}})		
		end	
	end
	-- Custom handguards
	if self.parts.wpn_fps_upg_fg_key then
	table.map_append(self.parts.wpn_fps_upg_fg_key, {forbids = {"wpn_fps_rail_covers","wpn_fps_rc_dd"}})	
	end
	if self.parts.wpn_fps_upg_fg_key_long then
	table.map_append(self.parts.wpn_fps_upg_fg_key_long, {forbids = {"wpn_fps_rail_covers","wpn_fps_rc_dd"}})	
	end
	if self.parts.wpn_fps_upg_fg_moe2 then
	table.map_append(self.parts.wpn_fps_upg_fg_moe2, {forbids = {"wpn_fps_rail_covers","wpn_fps_rc_dd"}})	
	end	
	if self.parts.wpn_fps_upg_fg_moe2_short then
	table.map_append(self.parts.wpn_fps_upg_fg_moe2_short, {forbids = {"wpn_fps_rail_covers","wpn_fps_rc_dd"}})	
	end		
	if self.parts.wpn_fps_upg_fg_ak_moe then
	table.map_append(self.parts.wpn_fps_upg_fg_ak_moe, {forbids = {"wpn_fps_rail_covers","wpn_fps_rc_dd"}})	
	end		
	if self.parts.wpn_fps_rsass_handguard then
	table.map_append(self.parts.wpn_fps_rsass_handguard, {forbids = {"wpn_fps_rail_covers","wpn_fps_rc_dd"}})	
	end	
	if self.parts.wpn_fps_m16_fg_heat then
	table.map_append(self.parts.wpn_fps_m16_fg_heat, {forbids = {"wpn_fps_rail_covers","wpn_fps_rc_dd"}})	
	end	
	if self.parts.wpn_fps_upg_fg_washboard then
	    if not self.parts.wpn_fps_upg_fg_washboard.override then
			self.parts.wpn_fps_upg_fg_washboard.override = {}
		end
	    self.parts.wpn_fps_upg_fg_washboard.override.wpn_fps_rail_covers = {
			adds = {"wpn_fps_rc_t", "wpn_fps_rc_l", "wpn_fps_rc_s", "wpn_fps_rc_s_t", "wpn_fps_rc_s_l"}
		}
		self.parts.wpn_fps_upg_fg_washboard.override.wpn_fps_rc_s = {
			unit = "units/mods/weapons/wpn_fps_rail_covers/wpn_fps_rail_covers"
		}
		self.parts.wpn_fps_upg_fg_washboard.override.wpn_fps_rc_s_t = {
			unit = "units/mods/weapons/wpn_fps_rail_covers/wpn_fps_rail_covers"
		}
		self.parts.wpn_fps_upg_fg_washboard.override.wpn_fps_rc_s_l = {
				unit = "units/mods/weapons/wpn_fps_rail_covers/wpn_fps_rail_covers"
		}
		self.parts.wpn_fps_upg_fg_washboard.override.wpn_fps_rc_dd = {
			adds = {"wpn_fps_rc_dd_t", "wpn_fps_rc_dd_l", "wpn_fps_rc_dd_s", "wpn_fps_rc_dd_s_t", "wpn_fps_rc_dd_s_l"}
		}
		self.parts.wpn_fps_upg_fg_washboard.override.wpn_fps_rc_dd_s = {
			unit = "units/mods/weapons/wpn_fps_rc_dd/wpn_fps_rc_dd"
		}
		self.parts.wpn_fps_upg_fg_washboard.override.wpn_fps_rc_dd_s_t = {
			unit = "units/mods/weapons/wpn_fps_rc_dd/wpn_fps_rc_dd"
		}
		self.parts.wpn_fps_upg_fg_washboard.override.wpn_fps_rc_dd_s_l = {
				unit = "units/mods/weapons/wpn_fps_rc_dd/wpn_fps_rc_dd"
		}
	end	
	--Tactical Operator Attachments
	if BeardLib.Utils:FindMod("Tactical Operator Attachments") then
	local rc_operator_table = {
	    "wpn_fps_upg_fg_ropup",
		"wpn_fps_upg_fg_daniel",
		"wpn_fps_upg_fg_patrick",
		"wpn_fps_upg_o_amine"
	}
	for index, rc_operator_id in ipairs(rc_operator_table) do
		if not self.parts[rc_operator_id].override then
			self.parts[rc_operator_id].override = {}
		end
	  end	
		self.parts.wpn_fps_upg_fg_ropup.override.wpn_fps_rc_s = {
			unit = "units/mods/weapons/wpn_fps_rail_covers/wpn_fps_rail_covers"
		}
		self.parts.wpn_fps_upg_fg_ropup.override.wpn_fps_rc_s_b = {
			unit = "units/mods/weapons/wpn_fps_rail_covers/wpn_fps_rail_covers"
		}
		self.parts.wpn_fps_upg_fg_ropup.override.wpn_fps_rc_s_t = {
			unit = "units/mods/weapons/wpn_fps_rail_covers/wpn_fps_rail_covers"
		}
		self.parts.wpn_fps_upg_fg_ropup.override.wpn_fps_rc_s_l = {
				unit = "units/mods/weapons/wpn_fps_rail_covers/wpn_fps_rail_covers"
		}
		self.parts.wpn_fps_upg_fg_ropup.override.wpn_fps_rail_covers = {
			adds = {"wpn_fps_rc_b", "wpn_fps_rc_t", "wpn_fps_rc_l", "wpn_fps_rc_s", "wpn_fps_rc_s_b", "wpn_fps_rc_s_t", "wpn_fps_rc_s_l"}
		}
		self.parts.wpn_fps_upg_fg_ropup.override.wpn_fps_rc_dd_s = {
			unit = "units/mods/weapons/wpn_fps_rc_dd/wpn_fps_rc_dd"
		}
		self.parts.wpn_fps_upg_fg_ropup.override.wpn_fps_rc_dd_s_b = {
			unit = "units/mods/weapons/wpn_fps_rc_dd/wpn_fps_rc_dd"
		}
		self.parts.wpn_fps_upg_fg_ropup.override.wpn_fps_rc_dd_s_t = {
			unit = "units/mods/weapons/wpn_fps_rc_dd/wpn_fps_rc_dd"
		}
		self.parts.wpn_fps_upg_fg_ropup.override.wpn_fps_rc_dd_s_l = {
				unit = "units/mods/weapons/wpn_fps_rc_dd/wpn_fps_rc_dd"
		}
		self.parts.wpn_fps_upg_fg_ropup.override.wpn_fps_rc_dd = {
			adds = {"wpn_fps_rc_dd_b", "wpn_fps_rc_dd_t", "wpn_fps_rc_dd_l", "wpn_fps_rc_dd_s", "wpn_fps_rc_dd_s_b", "wpn_fps_rc_dd_s_t", "wpn_fps_rc_dd_s_l"}
		}	
		self.parts.wpn_fps_upg_fg_daniel.override.wpn_fps_rail_covers = {
			adds = {"wpn_fps_rc_t", "wpn_fps_rc_l", "wpn_fps_rc_s", "wpn_fps_rc_s_l"}
		}
		self.parts.wpn_fps_upg_fg_daniel.override.wpn_fps_rc_s = {
			unit = "units/mods/weapons/wpn_fps_rail_covers/wpn_fps_rail_covers"
		}
		self.parts.wpn_fps_upg_fg_daniel.override.wpn_fps_rc_s_l = {
				unit = "units/mods/weapons/wpn_fps_rail_covers/wpn_fps_rail_covers"
		}
		self.parts.wpn_fps_upg_fg_daniel.override.wpn_fps_rc_dd = {
			adds = {"wpn_fps_rc_dd_t", "wpn_fps_rc_dd_l", "wpn_fps_rc_dd_s", "wpn_fps_rc_dd_s_l"}
		}
		self.parts.wpn_fps_upg_fg_daniel.override.wpn_fps_rc_dd_s = {
			unit = "units/mods/weapons/wpn_fps_rc_dd/wpn_fps_rc_dd"
		}
		self.parts.wpn_fps_upg_fg_daniel.override.wpn_fps_rc_dd_s_l = {
				unit = "units/mods/weapons/wpn_fps_rc_dd/wpn_fps_rc_dd"
		}	
		self.parts.wpn_fps_upg_fg_patrick.override.wpn_fps_rail_covers = {
			unit = "units/mods/weapons/wpn_fps_rail_covers/wpn_fps_rail_covers_short"
		}
		self.parts.wpn_fps_upg_fg_patrick.override.wpn_fps_rc_b = {
			unit = "units/mods/weapons/wpn_fps_rail_covers/wpn_fps_rail_covers_short"
		}
		self.parts.wpn_fps_upg_fg_patrick.override.wpn_fps_rc_t = {
			unit = "units/mods/weapons/wpn_fps_rail_covers/wpn_fps_rail_covers_short"
		}
		self.parts.wpn_fps_upg_fg_patrick.override.wpn_fps_rc_l = {
			unit = "units/mods/weapons/wpn_fps_rail_covers/wpn_fps_rail_covers_short"
		}
		self.parts.wpn_fps_upg_fg_patrick.override.wpn_fps_rc_dd = {
			unit = "units/mods/weapons/wpn_fps_rc_dd/wpn_fps_rc_dd_short"
		}
		self.parts.wpn_fps_upg_fg_patrick.override.wpn_fps_rc_dd_b = {
			unit = "units/mods/weapons/wpn_fps_rc_dd/wpn_fps_rc_dd_short"
		}
		self.parts.wpn_fps_upg_fg_patrick.override.wpn_fps_rc_dd_t = {
			unit = "units/mods/weapons/wpn_fps_rc_dd/wpn_fps_rc_dd_short"
		}
		self.parts.wpn_fps_upg_fg_patrick.override.wpn_fps_rc_dd_l = {
			unit = "units/mods/weapons/wpn_fps_rc_dd/wpn_fps_rc_dd_short"
		}
	table.map_append(self.parts.wpn_fps_upg_o_amine, {forbids = {"wpn_fps_rc_s_t","wpn_fps_rc_dd_s_t"}})	
	self.parts.wpn_fps_upg_o_amine.override.wpn_fps_rc_t = {
		unit = "units/mods/weapons/wpn_fps_rail_covers/wpn_fps_rail_covers_short"
	}
	self.parts.wpn_fps_upg_o_amine.override.wpn_fps_rc_dd_t = {
		unit = "units/mods/weapons/wpn_fps_rc_dd/wpn_fps_rc_dd_short"
	}
	local rc_operator_vg_table = {
	    "wpn_fps_upg_vg_bcm",
		"wpn_fps_upg_vg_cadex"
	}
	for index, rc_operator_vg_id in ipairs(rc_operator_vg_table) do
	    table.map_append(self.parts[rc_operator_vg_id], {forbids = {"wpn_fps_rc_b","wpn_fps_rc_dd_b"}})
		end		
	end		
	--Iron Sights Pack
	if BeardLib.Utils:FindMod("Iron Sights Pack") then
	local rc_front_iron_table = {"wpn_fps_upg_o_var_dd_a1_front","wpn_fps_upg_o_var_kac_front","wpn_fps_upg_o_var_m4flipup_front","wpn_fps_upg_o_var_mbus_front","wpn_fps_upg_o_var_scorpionevo_front","wpn_fps_upg_o_var_troy_front","wpn_fps_upg_o_var_troym4_front"}
	for index, rc_front_iron_id in ipairs(rc_front_iron_table) do
	    table.map_append(self.parts[rc_front_iron_id], {forbids = {"wpn_fps_rc_s_t","wpn_fps_rc_t","wpn_fps_rc_dd_s_t","wpn_fps_rc_dd_t"}})
		end	
	end		
	if self.parts.wpn_fps_upg_o_tracker then
	table.map_append(self.parts.wpn_fps_upg_o_tracker, {forbids = {"wpn_fps_rc_s_t","wpn_fps_rc_dd_s_t"}})
	if not self.parts.wpn_fps_upg_o_tracker.override then
			self.parts.wpn_fps_upg_o_tracker.override = {}
	end
	self.parts.wpn_fps_upg_o_tracker.override.wpn_fps_rc_t = {
		unit = "units/mods/weapons/wpn_fps_rail_covers/wpn_fps_rail_covers_short"
	}
	self.parts.wpn_fps_upg_o_tracker.override.wpn_fps_rc_dd_t = {
		unit = "units/mods/weapons/wpn_fps_rc_dd/wpn_fps_rc_dd_short"
	}
	end
	--Custom Gadgets
	if self.parts.wpn_fps_upg_fl_anpeq2 and self.parts.wpn_fps_upg_fl_dbal_d2 and self.parts.wpn_fps_upg_fl_m600p and self.parts.wpn_fps_upg_fl_unimax and self.parts.wpn_fps_upg_fl_unimax_inforce and self.parts.wpn_fps_upg_fl_utg then
	local rc_lost_gadgets_table = {
		"wpn_fps_upg_fl_anpeq2",
	    "wpn_fps_upg_fl_dbal_d2",
		"wpn_fps_upg_fl_m600p",
		"wpn_fps_upg_fl_unimax",
		"wpn_fps_upg_fl_unimax_inforce",
		"wpn_fps_upg_fl_utg"
	}
	for index, rc_lostgadgets_id in ipairs(rc_lost_gadgets_table) do
		if not self.parts[rc_lostgadgets_id].override then
			self.parts[rc_lostgadgets_id].override = {}
		end
		self.parts[rc_lostgadgets_id].override.wpn_fps_rc_l = {
			unit = "units/mods/weapons/wpn_fps_rail_covers/wpn_fps_rail_covers_short",
			a_obj = "a_rc_l_s"
		}
	    self.parts[rc_lostgadgets_id].override.wpn_fps_rc_s_l = {
			a_obj = "a_rc_s_l_g"
		}
		self.parts[rc_lostgadgets_id].override.wpn_fps_rc_dd_l = {
			unit = "units/mods/weapons/wpn_fps_rc_dd/wpn_fps_rc_dd_short",
			a_obj = "a_rc_l_s"
		}
	    self.parts[rc_lostgadgets_id].override.wpn_fps_rc_dd_s_l = {
			a_obj = "a_rc_s_l_g"
		}
	end
	end
	if self.parts.wpn_fps_upg_fl_wml then
		if not self.parts.wpn_fps_upg_fl_wml.override then
			self.parts.wpn_fps_upg_fl_wml.override = {}
		end
		self.parts.wpn_fps_upg_fl_wml.override.wpn_fps_rc_l = {
			unit = "units/mods/weapons/wpn_fps_rail_covers/wpn_fps_rail_covers_short",
			a_obj = "a_rc_l_s"
		}
		self.parts.wpn_fps_upg_fl_wml.override.wpn_fps_rc_s_l = {
			a_obj = "a_rc_s_l_g"
		}
		self.parts.wpn_fps_upg_fl_wml.override.wpn_fps_rc_dd_l = {
			unit = "units/mods/weapons/wpn_fps_rc_dd/wpn_fps_rc_dd_short",
			a_obj = "a_rc_l_s"
		}
		self.parts.wpn_fps_upg_fl_wml.override.wpn_fps_rc_dd_s_l = {
			a_obj = "a_rc_s_l_g"
		}
	end
	if self.parts.wpn_fps_upg_fl_ass_spotter then
		if not self.parts.wpn_fps_upg_fl_ass_spotter.override then
			self.parts.wpn_fps_upg_fl_ass_spotter.override = {}
		end
		self.parts.wpn_fps_upg_fl_ass_spotter.override.wpn_fps_rc_l = {
			unit = "units/mods/weapons/wpn_fps_rail_covers/wpn_fps_rail_covers_short",
			a_obj = "a_rc_l_s"
		}
		self.parts.wpn_fps_upg_fl_ass_spotter.override.wpn_fps_rc_s_l = {
			a_obj = "a_rc_s_l_g"
		}
		self.parts.wpn_fps_upg_fl_ass_spotter.override.wpn_fps_rc_dd_l = {
			unit = "units/mods/weapons/wpn_fps_rc_dd/wpn_fps_rc_dd_short",
			a_obj = "a_rc_l_s"
		}
		self.parts.wpn_fps_upg_fl_ass_spotter.override.wpn_fps_rc_dd_s_l = {
			a_obj = "a_rc_s_l_g"
		}
	end	
    --L85 attach pack
	if self.parts.wpn_fps_ass_l85a2_b_heavy and self.parts.wpn_fps_ass_l85a2_fg_flush then
	table.map_append(self.parts.wpn_fps_ass_l85a2_b_heavy, {forbids = {"wpn_fps_rail_covers","wpn_fps_rc_dd"}})	
	table.map_append(self.parts.wpn_fps_ass_l85a2_fg_flush, {forbids = {"wpn_fps_rail_covers","wpn_fps_rc_dd"}})
	end
	--Underbarrels
	if BeardLib.Utils:FindMod("Masterkey Pack") then
	local masterkey_rc_table = {
		"wpn_fps_ubs_spas12",
		"wpn_fps_ubs_six12"
	}
	for index, rck_masterkey_forbids_ids in ipairs(masterkey_rc_table) do		
	table.map_append(self.parts[rck_masterkey_forbids_ids], {forbids = {"wpn_fps_rc_b", "wpn_fps_rc_s_b","wpn_fps_rc_dd_b", "wpn_fps_rc_dd_s_b"}})			
		end		
	end
	if BeardLib.Utils:FindMod("Underbarrel Weapons Pack") then
	local uner_rc_table = {
		"wpn_fps_upg_gl_m203",
		"wpn_fps_upg_gl_m203_inc"
	}
	for index, rck_under_forbids_ids in ipairs(uner_rc_table) do		
	table.map_append(self.parts[rck_under_forbids_ids], {forbids = {"wpn_fps_rc_b", "wpn_fps_rc_s_b","wpn_fps_rc_dd_b", "wpn_fps_rc_dd_s_b"}})			
		end		
	end
	if self.parts.wpn_fps_smg_mp5_fg_stripped then
	table.map_append(self.parts.wpn_fps_smg_mp5_fg_stripped, {forbids = {"wpn_fps_rail_covers","wpn_fps_rc_dd"}})
	end
	if self.parts.wpn_fps_ass_contraband_gl_m203_inc then
	table.map_append(self.parts.wpn_fps_ass_contraband_gl_m203_inc, {forbids = {"wpn_fps_rail_covers","wpn_fps_rc_dd"}})
	end
	if self.parts.wpn_fps_ass_contraband_vg_fab_miki then
	table.map_append(self.parts.wpn_fps_ass_contraband_vg_fab_miki, {forbids = {"wpn_fps_rail_covers","wpn_fps_rc_dd"}})
	end	
	--Standalone HK416C
	if self.wpn_fps_ass_drongo then
	table.insert(self.wpn_fps_ass_drongo.uses_parts, "wpn_fps_rail_covers")
	table.insert(self.wpn_fps_ass_drongo.uses_parts, "wpn_fps_rc_dd")
	table.insert(self.wpn_fps_ass_drongo.uses_parts, "wpn_fps_rc_no_b")
	table.insert(self.wpn_fps_ass_drongo.uses_parts, "wpn_fps_rc_no_t")	
	table.insert(self.wpn_fps_ass_drongo.uses_parts, "wpn_fps_rc_no_tb")	
	if not self.parts.wpn_fps_ass_drongo_o_default.override then
			self.parts.wpn_fps_ass_drongo_o_default.override = {}
		end
	self.parts.wpn_fps_ass_drongo_o_default.override.wpn_fps_rc_t = {
		unit = "units/mods/weapons/wpn_fps_rail_covers/wpn_fps_rail_covers_short"
	}
	self.parts.wpn_fps_ass_drongo_o_default.override.wpn_fps_rc_dd_t = {
		unit = "units/mods/weapons/wpn_fps_rc_dd/wpn_fps_rc_dd_short"
	}
	end
	--Standalone HK417
	if self.wpn_fps_ass_recce then
	table.insert(self.wpn_fps_ass_recce.uses_parts, "wpn_fps_rail_covers")
	table.insert(self.wpn_fps_ass_recce.uses_parts, "wpn_fps_rc_dd")
	table.insert(self.wpn_fps_ass_recce.uses_parts, "wpn_fps_rc_no_b")
	table.insert(self.wpn_fps_ass_recce.uses_parts, "wpn_fps_rc_no_t")	
	table.insert(self.wpn_fps_ass_recce.uses_parts, "wpn_fps_rc_no_tb")	
	if not self.parts.wpn_fps_ass_recce_fg.override then
			self.parts.wpn_fps_ass_recce_fg.override = {}
		end
	self.parts.wpn_fps_ass_recce_fg.override.wpn_fps_rail_covers = {
		adds = {"wpn_fps_rc_b", "wpn_fps_rc_t", "wpn_fps_rc_l", "wpn_fps_rc_s", "wpn_fps_rc_s_b", "wpn_fps_rc_s_t", "wpn_fps_rc_s_l"}
	}
	self.parts.wpn_fps_ass_recce_fg.override.wpn_fps_rc_dd = {
		adds = {"wpn_fps_rc_dd_b", "wpn_fps_rc_dd_t", "wpn_fps_rc_dd_l", "wpn_fps_rc_dd_s", "wpn_fps_rc_dd_s_b", "wpn_fps_rc_dd_s_t", "wpn_fps_rc_dd_s_l"}
	}
	table.map_append(self.parts.wpn_fps_ass_recce_o_default, {forbids = {"wpn_fps_rc_s_t","wpn_fps_rc_dd_s_t"}})
	end
	end )